## org.apache.axis.strategies
Class InvocationStrategy

    java.lang.Object
      org.apache.axis.strategies.InvocationStrategy

All Implemented Interfaces:
  HandlerIterationStrategy

public class InvocationStrategy
extends java.lang.Object
implements HandlerIterationStrategy

A Strategy which calls invoke() on the specified Handler, passing it the specified MessageContext.

Author:
  Glen Daniels (gdaniels@apache.org)

Constructor Summary
`InvocationStrategy()`

Method Summary
`void` `visit(Handler handler, MessageContext msgContext)` Visit a handler with a message context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationStrategy

    public InvocationStrategy()

Method Detail

### visit

    public void visit(Handler handler,
                      MessageContext msgContext)
               throws AxisFault

  Description copied from interface: `HandlerIterationStrategy`
  Visit a handler with a message context.

  Specified by:
    `visit` in interface `HandlerIterationStrategy`
  Parameters:
    `handler` - the `Handler` to apply to the context
    `msgContext` - the `MessageContext` used
  Throws:
    `AxisFault` - if this visit encountered an error

Copyright © 2005 Apache Web Services Project. All Rights Reserved.